<?php
	FNTH_class( "Select" );

	class AdminSelect extends FNTHSelect {
		protected $bChoose = true;

		public function setChoose( $v ) { $this->bChoose = $v; }

		public function modifyGetPost( &$g, &$p ) {
			$id = $this->getId();
			if (isset( $this->aG[$id] )) $this->setValue( $this->aG[$id] );
			if (isset( $this->aP[$id] )) $this->setValue( $this->aP[$id] );
			parent::modifyGetPost( $g , $p );
		}
		public function __construct( $id = "AdminSelect" , $parent = null ) {
			$this->addMediaDirectory( $GLOBALS["site_root"] , $GLOBALS["site_www"] , "design/rp/","widgets/");
			parent::__construct( $id , $parent );
			$this->setAttribute( "class" , "AdminSelect" );
			$this->setParam("language",$GLOBALS["language"]);
		}
	}
?>
